#include <Arduino.h>
#include <BMP280_DEV.h>
#include <MPU9250.h>

#define US_TX_0_PIN 3
#define US_RX_0_PIN 2
#define US_RX_1_PIN 1

MPU9250 mpu;

char outputBuffer[64];

void setup() {
  Serial.begin(115200);
  Serial.println("boot");
  pinMode(US_TX_0_PIN, OUTPUT);
  Wire.begin();
  delay(2000);

  mpu.setup(0x68);  // change to your own address
}

void loop() {
  snprintf(outputBuffer, sizeof(outputBuffer), "DATA:%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d\r\n",
    //acustic RTT 
    0, 1,
    //magnetic field
    2, 3, 4,
    //accelerometer
    5, 6, 7,
    //gyroscope
    8, 9, 10,
    //pressure
    11
  );
  Serial.write(outputBuffer);
}